Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List deals

GET/workspaces/{organizationId}/deals
Path parameters
organizationIdstringrequired
Query parameters
customerIdstring
contactIdstring
includeArchivedstring
Responses
200

Deal list

dealsobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
customerIdstringrequired
namestringrequired
stagestringrequired
Allowed:leadqualifiedproposalnegotiationwonlost
amountCentsnumber | nullrequired
currencystring | nullrequired
expectedCloseAtstring | nullrequired
descriptionstring | nullrequired
closedAtstring | nullrequired
archivedAtstring | nullrequired
contactIdsstring[]required
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Parameters
Request
curl -X GET '/workspaces/string/deals'
Response
{
  "deals": [
    {
      "id": "string",
      "organizationId": "string",
      "customerId": "string",
      "name": "string",
      "stage": "lead",
      "amountCents": 0,
      "currency": "string",
      "expectedCloseAt": "string",
      "description": "string",
      "closedAt": "string",
      "archivedAt": "string",
      "contactIds": [
        "string"
      ],
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}